账户付款记录

GET https://scanflick.com/api/payments/
curl --request GET \
--url 'https://scanflick.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
参数 详细信息 描述
processor 可选 字符串 允许的值:paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status 可选 字符串 允许的值:paid, pending, cancelled, refunded
type 可选 字符串 允许的值:one_time, recurring
frequency 可选 字符串 允许的值:monthly, quarterly, biannual, annual, lifetime
datetime_field 可选 字符串 允许的值:datetime
datetime_start 可选 字符串 从此日期时间开始过滤结果。格式为 Y-m-d H:i:s。
datetime_end 可选 字符串 过滤至此日期时间。格式为 Y-m-d H:i:s。
order_by 可选 字符串 按哪个字段排序结果。允许的值为:id, datetime, total_amount。
order_type 可选 字符串 结果排序方式。允许的值:ASC 表示升序,DESC 表示降序。
page 可选 整数 要获取结果的页码。默认值为 1。
results_per_page 可选 整数 每页返回多少条结果。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认值为 25。
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "example@example.com",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-10-01 01:12:00"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://scanflick.com/api/payments?page=1",
        "last": "https://scanflick.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://scanflick.com/api/payments?page=1"
    }
}
GET https://scanflick.com/api/payments/{id}
curl --request GET \
--url 'https://scanflick.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "example@example.com",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-10-01 01:12:00"
    }
}